CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

图层属性 (ActiveX)

2023-1-3 12:45| 发布者: admin| 查看: 486| 评论: 0|来自: AutoCAD

摘要: 获取文档的图层集合。

获取文档的图层集合。

支持的平台:仅窗口

签名

工 务 局:

object.Layers
对象

类型:数据库文档

此属性适用的对象。

属性值

只读:是的

类型:图层

文档的图层集合。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_Layers()
    ' This example finds the current Layers collection and
    ' adds a new layer to that collection.
    
    Dim layerColl As AcadLayers
    Set layerColl = ThisDrawing.Layers
    
    ' Create a dimension style named "TEST" in current drawing
    Dim testlayer As AcadLayer
    Set testlayer = layerColl.Add("TEST")
    MsgBox "A new layer called " & testlayer.name & " has been added to the Layers collection.", vbInformation, "Layers Example"
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_Layers()
    ;; This example finds the current Layers collection and
    ;; adds a new layer to that collection.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    (setq layerColl (vla-get-Layers doc))
    
    ;; Create a dimension style named "TEST" in current drawing
    (setq testlayer (vla-Add layerColl "TEST"))
    (alert (strcat "A new layer called " (vla-get-Name testlayer) " has been added to the Layers collection."))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 18:09

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部